Package org.eclipse.viatra.addon.querybasedfeatures.runtime

## Enum QueryBasedFeatureKind

- java.lang.Object
- - java.lang.Enum<QueryBasedFeatureKind>
  - - org.eclipse.viatra.addon.querybasedfeatures.runtime.QueryBasedFeatureKind

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<QueryBasedFeatureKind>`

      public enum QueryBasedFeatureKind
      extends java.lang.Enum<QueryBasedFeatureKind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ITERATION` |
    `MANY_REFERENCE` |
    `SINGLE_REFERENCE` |
    `SUM` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getStringValue​(QueryBasedFeatureKind kind)` |
    `static QueryBasedFeatureKind` | `parseKindString​(java.lang.String desc)` |
    `static QueryBasedFeatureKind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static QueryBasedFeatureKind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE_REFERENCE

          public static final QueryBasedFeatureKind SINGLE_REFERENCE

    - #### MANY_REFERENCE

          public static final QueryBasedFeatureKind MANY_REFERENCE

    - #### SUM

          public static final QueryBasedFeatureKind SUM

    - #### ITERATION

          public static final QueryBasedFeatureKind ITERATION

  - ### Method Detail

    - #### values

          public static QueryBasedFeatureKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryBasedFeatureKind c : QueryBasedFeatureKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryBasedFeatureKind valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### parseKindString

          public static QueryBasedFeatureKind parseKindString​(java.lang.String desc)

    - #### getStringValue

          public static java.lang.String getStringValue​(QueryBasedFeatureKind kind)